linux: 3.16.0-28.37 -proposed tracker

Bug #1400382 reported by Luis Henriques on 2014-12-08
20
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Automated-testing
Medium
Canonical Kernel Team
Certification-testing
Medium
Canonical Hardware Certification
Prepare-package
Medium
Luis Henriques
Prepare-package-meta
Medium
Luis Henriques
Prepare-package-signed
Medium
Luis Henriques
Promote-to-proposed
Medium
Adam Conrad
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Canonical Platform QA Team
Security-signoff
Medium
Canonical Security Team
Verification-testing
Medium
Canonical Kernel Team
linux (Ubuntu)
Undecided
Unassigned
Utopic
Medium
Unassigned

Bug Description

This bug is for tracking the 3.16.0-28.37 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Monday, 08. December 2014 16:14 UTC
kernel-stable-Prepare-package-end:Tuesday, 09. December 2014 02:05 UTC
kernel-stable-Promote-to-proposed-start:Tuesday, 09. December 2014 02:05 UTC
ppa-package-testing-start:Tuesday, 09. December 2014 02:05 UTC
kernel-stable-Promote-to-proposed-end:Thursday, 11. December 2014 04:02 UTC
kernel-stable-Verification-testing-start:Thursday, 11. December 2014 05:02 UTC
kernel-stable-Certification-testing-start:Thursday, 11. December 2014 05:02 UTC
kernel-stable-Security-signoff-start:Thursday, 11. December 2014 05:02 UTC
kernel-stable-Regression-testing-start:Thursday, 11. December 2014 05:02 UTC
kernel-stable-Promote-to-updates-start:Thursday, 11. December 2014 05:34 UTC
kernel-stable-Security-signoff-end:Thursday, 11. December 2014 05:34 UTC
kernel-stable-Certification-testing-end:Thursday, 11. December 2014 05:34 UTC
kernel-stable-Regression-testing-end:Thursday, 11. December 2014 05:34 UTC
kernel-stable-Promote-to-updates-end:Thursday, 11. December 2014 07:00 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Thursday, 11. December 2014 08:02 UTC

CVE References

Luis Henriques (henrix) wrote :

Please do NOT upload this kernel into -proposed before 3.16.0-26.35 is released.

tags: added: kernel-release-tracking-bug
tags: added: utopic
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux (Ubuntu):
status: New → Invalid
Changed in linux (Ubuntu Utopic):
importance: Undecided → Medium

All builds are complete, packages in this bug can be copied to -proposed.

Backport packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-lts-utopic (14.04) - bug 1400561

description: updated
Adam Conrad (adconrad) wrote :

Copied to -proposed and signed built.

Brad Figg (brad-figg) on 2014-12-11
description: updated
Brad Figg (brad-figg) on 2014-12-11
description: updated
Adam Conrad (adconrad) on 2014-12-11
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2014-12-11
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.16.0-28.37

---------------
linux (3.16.0-28.37) utopic; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1400382

  [ Upstream Kernel Changes ]

  * x86_64, traps: Fix the espfix64 #DF fixup and rewrite it in C
    - LP: #1398795
    - CVE-2014-9090
  * x86_64, traps: Rework bad_iret
    - LP: #1398795
    - CVE-2014-9090
  * x86, kvm: Clear paravirt_enabled on KVM guests for espfix32's benefit
    - LP: #1400314
    - CVE-2014-8134

linux (3.16.0-27.36) utopic; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1399630

  [ Upstream Kernel Changes ]

  * x86_64, traps: Stop using IST for #SS
    - LP: #1398795
    - CVE-2014-9090
 -- Luis Henriques <email address hidden> Mon, 08 Dec 2014 16:18:29 +0000

Changed in linux (Ubuntu Utopic):
status: New → Fix Released
Brad Figg (brad-figg) on 2014-12-11
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.16.0-28.38

---------------
linux (3.16.0-28.38) utopic; urgency=low

  [ Brad Figg ]

  * Release Tracking Bug
    - LP: #1401966

  [ Upstream Kernel Changes ]

  * net: skb_fclone_busy() needs to detect orphaned skb
    - LP: #1401079
 -- Brad Figg <email address hidden> Fri, 12 Dec 2014 08:35:42 -0800

Changed in linux (Ubuntu):
status: Invalid → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers